<div class="create-agency-site">
    <app-content-banner [isDashboard]="false" pageName="Add New Agency Site"></app-content-banner>
    <form [formGroup]="agencySiteCreateForm" (ngSubmit)="onSubmit()">
        <mat-card class="sp-main-card  regular-mat-form-field">
            <mat-card-content class="regular-mat-form-field">
                <mat-tab-group dynamicHeight [(selectedIndex)]="mainTabSelectedIndex" (selectedTabChange)="mainTabChanged($event)">
                    <mat-tab>
                        <ng-template matTabLabel>
                            <span>Agency Information</span>
                        </ng-template>
                        <ng-template matTabContent>
                            <div class="cAgencySite-small-box mat-elevation-z4" fxLayout="column">
                                <div class="cAgencySite-containter">
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <label fxFlex="30" style="font-weight: 700;">Agency Informaton &nbsp; &nbsp;</label>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <label fxFlex="30"> &nbsp; &nbsp;</label>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px">

                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" class="required-label-color">Agency Name &nbsp; &nbsp;</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.name" class="txtuppercase"
                                                    formControlName="agencyNameCtrl" maxlength="100" />
                                            </mat-form-field>
                                        </div>
                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" class="required-label-color">Agency Type &nbsp; &nbsp;</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <mat-select formControlName="agencyTypeCtrl" [(ngModel)]="agencyinfo.agencyType"
                                                    placeholder="Select">
                                                    <mat-option *ngFor="let agencyType of agencyTypes" [value]="agencyType.siteTypeCode">
                                                        {{agencyType.typeDescription}}
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <div fxLayout="row">
                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" class="required-label-color"> Address</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <textarea matInput maxlength="200" [(ngModel)]="agencyinfo.agencyAddress"
                                                    class="txtuppercase" formControlName="agencyaddressCtrl"
                                                    cdkTextareaAutosize cdkAutosizeMinRows="2" cdkAutosizeMaxRows="4">
                                            </textarea>
                                            </mat-form-field>
                                        </div>
                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" class="required-label-color">City</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.city" class="txtuppercase"
                                                 alphabetSpace formControlName="agencycityCtrl" maxlength="50" />
                                            </mat-form-field>
                                        </div>
                                        <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" fxFlex="30" class="required-label-color">State</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.state" class="txtuppercase"
                                                alphabetOnly formControlName="agencystateCtrl" maxlength="2" minlength="2" />
                                            </mat-form-field>
                                        </div>
                                        <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" class="required-label-color">Zip</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput digitOnly [(ngModel)]="agencyinfo.zip" formControlName="agencyzipCtrl"
                                                    maxlength="5"  minlength="5"/>
                                            </mat-form-field>
                                        </div>
                                    </div>

                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <label fxFlex="30">Agency Contact &nbsp; &nbsp;</label>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                        <label fxFlex="30"> &nbsp; &nbsp;</label>
                                    </div>
                                    <div fxLayout="row" fxLayoutGap="5px">

                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" class="required-label-color">First Name &nbsp; &nbsp;</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.contactFirstName"
                                                    class="txtuppercase" formControlName="firstNameCtrl" maxlength="50" />
                                            </mat-form-field>
                                        </div>

                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" class="required-label-color">Last Name &nbsp; &nbsp;</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.contactLastName"
                                                    class="txtuppercase" formControlName="lastNameCtrl" maxlength="50" />
                                            </mat-form-field>
                                        </div>
                                        <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30">Office Title &nbsp; &nbsp;</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.contactTitle" class="txtuppercase"
                                                    formControlName="titleCtrl" maxlength="25" />
                                            </mat-form-field>
                                        </div>
                                        <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" class="required-label-color">Email &nbsp; &nbsp;</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.email"
                                                    formControlName="emailCtrl" maxlength="50" />
                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <div fxLayout="row">
                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" class="required-label-color"> Office Phone</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.phone"
                                                    formControlName="officephoneCtrl" [showMaskTyped]="true" mask="000-000-0000" />

                                            </mat-form-field>

                                        </div>

                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30">Extension</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.extension"
                                                    formControlName="officephoneExtnCtrl" maxlength="5" />
                                            </mat-form-field>
                                        </div>
                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" fxFlex="30">Fax</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.fax"
                                                    formControlName="faxCtrl" mask="000-000-0000" [showMaskTyped]="true" />
                                            </mat-form-field>
                                        </div>


                                    </div>
                                    <div fxLayout="row">
                                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30"> Cell Phone</label>
                                            <mat-form-field appearance="outline" fxFlex="70">
                                                <input matInput type="text" [(ngModel)]="agencyinfo.alternatePhone"
                                                    formControlName="cellphoneCtrl" [showMaskTyped]="true" mask="000-000-0000" />
                                            </mat-form-field>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </ng-template>
                    </mat-tab>
                    <mat-tab>
                        <ng-template matTabLabel>
                            <span>Site Informaton</span>
                        </ng-template>
                        <ng-template matTabContent>
                            <div class="cAgencySite-small-box mat-elevation-z4" fxLayout="column">
                                <div class="cAgencySite-containter">
                                    <mat-card-content class="regular-mat-form-field">

                                        <div fxLayout="row" fxLayoutGap="5px">
                                            <button type="button" style='height:45px;width:100px' (click)="setSites(i)"
                                                *ngFor="let s of sites; let i = index">{{s.name | uppercase }}</button>
                                        </div>
                                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30"> &nbsp; &nbsp;</label>
                                        </div>
                                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30" style="font-weight: 700;">Site Details &nbsp; &nbsp;</label>
                                            <label fxFlex="30">&nbsp; &nbsp;</label>
                                            <mat-checkbox fxFlex="30" formControlName="isAddressSameasAgency" (change)="onisAddressSameasAgency($event)">Check
                                                if Site information is same as Agency information</mat-checkbox>
                                        </div>
                                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <label fxFlex="30"> &nbsp; &nbsp;</label>
                                        </div>
                                        <div fxLayout="row" fxLayoutGap="5px">
                                            <div fxFlex="60" fxLayoutGap="5px" fxLayoutAlign="left center">
                                                <label fxFlex="15" class="required-label-color">Site Name</label>
                                                <mat-form-field fxFlex="70" appearance="outline">

                                                    <input matInput type="text" [(ngModel)]="site.name" class="txtuppercase"
                                                        formControlName="siteNameCtrl" />
                                                </mat-form-field>
                                            </div>
                                        </div>

                                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                                <label fxFlex="30" class="required-label-color">Site Address</label>
                                                <mat-form-field fxFlex="70" appearance="outline">
                                                    <textarea matInput maxlength="200" [(ngModel)]="site.address" class="txtuppercase"
                                                        formControlName="addressCtrl" cdkTextareaAutosize
                                                        cdkAutosizeMinRows="2" cdkAutosizeMaxRows="4"></textarea>
                                                </mat-form-field>

                                            </div>

                                            <div fxFlex="15" fxLayoutGap="5px" fxLayoutAlign="left center">
                                                <label fxFlex="30" class="required-label-color">City</label>
                                                <mat-form-field fxFlex="70" appearance="outline">
                                                    <input matInput type="text" [(ngModel)]="site.city" class="txtuppercase"
                                                     alphabetSpace formControlName="cityCtrl" maxlength="50" />
                                                </mat-form-field>
                                            </div>
                                            <div fxFlex="15" fxLayoutGap="5px" fxLayoutAlign="left center">
                                                <label fxFlex="30" class="required-label-color">State</label>
                                                <mat-form-field fxFlex="70" appearance="outline">
                                                    <input matInput type="text" [(ngModel)]="site.state" class="txtuppercase"
                                                     alphabetOnly formControlName="stateCtrl" maxlength="2" />
                                                </mat-form-field>
                                            </div>
                                            <div fxFlex="15" fxLayoutGap="5px" fxLayoutAlign="left center">
                                                <label fxFlex="30" class="required-label-color">Zip</label>
                                                <mat-form-field fxFlex="70" appearance="outline">
                                                    <input matInput digitOnly [(ngModel)]="site.zip" formControlName="zipCtrl"
                                                        maxlength="5" />
                                                </mat-form-field>
                                            </div>
                                            <div fxFlex="10" fxLayoutGap="5px" fxLayoutAlign="left center">
                                                <label>&nbsp;</label>

                                            </div>
                                            <div fxFlex="15" fxLayout="column" fxLayoutGap="5px">

                                                <button type="button" mat-raised-button color="primary" matTooltip="Add New site"
                                                    (click)="addnewSites()">Add New Site</button>
                                                <button mat-raised-button color="primary" (click)="clearsiteInfo()">Clear</button>
                                                <button mat-raised-button color="primary" (click)="removeSites()">Remove
                                                    Site</button>
                                            </div>

                                        </div>
                                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                                                <label fxFlex="30" class="required-label-color">Borough &nbsp; &nbsp;
                                                </label>
                                                <mat-form-field fxFlex="70" appearance="outline">
                                                    <mat-select formControlName="siteBoroughTypeCtrl" [(ngModel)]="site.boroughType"
                                                        placeholder="Select">
                                                        <mat-option *ngFor="let siteBorough of boroughTypes" [value]="siteBorough.refGroupDetailID">
                                                            {{siteBorough.refGroupDetailDescription}}
                                                        </mat-option>
                                                    </mat-select>
                                                </mat-form-field>
                                            </div>
                                        </div>

                                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                                            <div fxFlex="30" fxLayoutAlign="left center">

                                                <label fxFlex="30" class="required-label-color">Site Type &nbsp;&nbsp;
                                                </label>
                                                <mat-form-field fxFlex="70" appearance="outline">
                                                    <mat-select formControlName="siteTypeCtrl" [(ngModel)]="site.housingProgram"
                                                        placeholder="Select">
                                                        <mat-option *ngFor="let agencyType of agencyTypes" [value]="agencyType.siteTypeCode">
                                                            {{agencyType.typeDescription}}
                                                        </mat-option>
                                                    </mat-select>

                                                </mat-form-field>
                                            </div>

                                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">

                                                <label fxFlex="30" class="required-label-color">Site Category &nbsp;
                                                    &nbsp; </label>
                                                <mat-form-field fxFlex="70" appearance="outline">
                                                    <mat-select formControlName="siteCategoryTypeCtrl" [(ngModel)]="site.siteCategoryType"
                                                        placeholder="Select">
                                                        <mat-option *ngFor="let siteCategory of siteCategoryTypes"
                                                            [value]="siteCategory.refGroupDetailID">
                                                            {{siteCategory.refGroupDetailDescription}}
                                                        </mat-option>
                                                    </mat-select>
                                                </mat-form-field>
                                            </div>

                                        </div>
                                        <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center" *ngIf="site.siteCategoryType === 5">
                                            <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">

                                                <mat-label fxFlex="30" class="required-label-color">Is CAPS mandatory
                                                    for this site &nbsp; &nbsp; </mat-label>
                                                <mat-radio-group appearance="outline" fxFlex="70" fxLayoutGap="5px"
                                                    [(ngModel)]="site.isCapsMandate" formControlName="isCapsMandateRadioCtrl">
                                                    <mat-radio-button (click)="isCapsMandateSelection(true)" [value]="true">
                                                        Yes </mat-radio-button>
                                                    <mat-radio-button (click)="isCapsMandateSelection(false)" [value]="false">
                                                        No </mat-radio-button>
                                                </mat-radio-group>
                                            </div>
                                        </div>


                                    </mat-card-content>
                                </div>
                            </div>
                        </ng-template>
                    </mat-tab>

                </mat-tab-group>
                <app-nav-footer [isSaveRequired]="false" [isSubmitRequired]="mainTabSelectedIndex === 1"
                    [isExitRequired]="true" [isPreviousRequired]="false" [isNextRequired]="mainTabSelectedIndex===0"
                    (Exitbtn)="exitPage()" (Submitbtn)="SubmitPage()" (Nextbtn)="nextPage()"></app-nav-footer>
            </mat-card-content>
        </mat-card>
    </form>
</div>